﻿@model Movie

@{
    ViewData["Title"] = "Movie details";
}

<div class="row">
    <div class="col-md-8 offset-2">
        <div class="card mb-12">
            <div class="row g-0">
                <div class="col-md-12">
                    <div class="card-header text-white bg-info">
                        <p class="card-text">
                            <h5 class="card-title">
                                @Model.Name
                            </h5>
                        </p>
                    </div>
                </div>
                <div class="col-md-4">
                    <img src="@Model.ImageURL" width="100%" alt="@Model.Name">
                </div>
                <div class="col-md-8">
                    <div class="card-body">
                        <p class="card-text">@Model.Description</p>
                        <p class="card-text">
                            <b>Cinema: </b>
                            <a asp-controller="Cinemas" asp-action="Details" asp-route-id="@Model.CinemaId">
                                @Model.Cinema.Name
                            </a>
                        </p>
                        <p class="card-text">
                            <b>Producer: </b>
                            <a asp-controller="Producers" asp-action="Details" asp-route-id="@Model.ProducerId">
                                @Model.Producer.FullName
                            </a>
                        </p>
                        <p class="card-text"><b>Category: </b>@Model.MovieCategory</p>
                        <p class="card-text"><b>Start Date: </b>@Model.StartDate.ToString("dd MMM yy")</p>
                        <p class="card-text"><b>End Date: </b>@Model.EndDate.ToString("dd MMM yy")</p>
                        <p class="card-text ">
                            <b>Status: </b>
                            @if (DateTime.Now >= Model.StartDate && DateTime.Now <= Model.EndDate)
                            {
                                <span class="badge bg-success text-white">AVAILABLE</span>
                            }
                            else if (DateTime.Now > Model.EndDate)
                            {
                                <span class="badge bg-danger text-white">EXPIRED</span>
                            }
                            else
                            {
                                <span class="badge bg-primary text-white">UPCOMING</span>
                            }
                        </p>
                        <p class="card-text">
                            <b>Actors: </b>
                            <hr />
                            <div class="row">
                                @foreach (var actor in Model.Actors_Movies)
                                {
                                    <div class="column text-center">
                                        <img class="border-info rounded-circle" src="@actor.Actor.ProfilePictureURL" style="max-width: 150px"/>
                                        <br />
                                        <a asp-controller="Actors" asp-action="Details" asp-route-id="@actor.ActorId">@actor.Actor.FullName</a>
                                    </div>
                                }
                            </div> 
                        </p>

                    </div>
                </div>
                <div class="col-md-12">
                    <div class="card-footer">
                        <p class="card-text">
                            <a class="btn btn-outline-primary float-right" asp-action="Index">
                                Back to List
                            </a>
                            <a class="btn btn-success text-white" asp-controller="Orders" asp-action="AddItemToShoppingCart" asp-route-id="@Model.Id"><i class="bi bi-cart-plus"></i> Add to Cart (Price @Model.Price.ToString("c"))</a>
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>